=== debian/changelog ===
ignition-launch4 (4.1.0-1~focal) focal; urgency=medium

  * ignition-launch4 4.1.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Fri, 15 Oct 2021 09:04:26 -0700

ignition-launch4 (4.0.0-1~focal) focal; urgency=medium

  * ignition-launch4 4.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 31 Mar 2021 18:16:26 -0700

ignition-launch4 (4.0.0~pre1-1~focal) focal; urgency=medium

  * ignition-launch4 4.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 26 Mar 2021 16:09:53 -0700

ignition-launch4 (3.999.999-1~focal) focal; urgency=medium

  * Stub to be removed after first entry

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 16 Jul 2020 18:43:17 +0200
